Listar regras de tarifa
curl --request GET \
--url https://matcher.sandbox.lerian.net/v1/contexts/{contextId}/fee-rules \
--header 'Authorization: Bearer <token>'import requests
url = "https://matcher.sandbox.lerian.net/v1/contexts/{contextId}/fee-rules"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://matcher.sandbox.lerian.net/v1/contexts/{contextId}/fee-rules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"contextId": "550e8400-e29b-41d4-a716-446655440000",
"feeScheduleId": "550e8400-e29b-41d4-a716-446655440000",
"name": "BB Right-Side Rule",
"side": "RIGHT",
"priority": 0,
"predicates": [
{
"field": "institution",
"operator": "EQUALS",
"value": "Banco do Brasil",
"values": [
"<string>"
]
}
],
"createdAt": "2025-01-15T10:30:00Z",
"updatedAt": "2025-01-15T10:30:00Z"
}
]
}{
"code": "MTCH-0001",
"title": "Bad Request",
"message": "context not found",
"error": "<string>",
"details": {}
}{
"code": "MTCH-0001",
"title": "Bad Request",
"message": "context not found",
"error": "<string>",
"details": {}
}{
"code": "MTCH-0001",
"title": "Bad Request",
"message": "context not found",
"error": "<string>",
"details": {}
}{
"code": "MTCH-0001",
"title": "Bad Request",
"message": "context not found",
"error": "<string>",
"details": {}
}{
"code": "MTCH-0001",
"title": "Bad Request",
"message": "context not found",
"error": "<string>",
"details": {}
}Listar regras de tarifa
Use este endpoint para recuperar todas as regras de tarifa de um contexto de conciliação, ordenadas por prioridade.
GET
/
v1
/
contexts
/
{contextId}
/
fee-rules
Listar regras de tarifa
Autorizações
Autenticação por Bearer token (formato: "Bearer {token}")
Cabeçalhos
A unique identifier for tracing the request across services.
Parâmetros de caminho
The unique identifier of the reconciliation context.
Resposta
Lista de regras de tarifa do contexto
Lista de regras de tarifa de um contexto de conciliação
Show child attributes
Show child attributes
Esta página foi útil?
⌘I

